# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
{
"dimension": 1536,
"host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
"metric": "cosine",
"name": "movie-recommendations",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": false,
"state": "Initializing"
}
}Describe an index
Get a description of an index.
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
{
"dimension": 1536,
"host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
"metric": "cosine",
"name": "movie-recommendations",
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": false,
"state": "Initializing"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt
Use this file to discover all available pages before exploring further.
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
Authorizations
Path Parameters
The name of the index to be described.
Response
Configuration information and deployment status of the index.
The IndexModel describes the configuration and status of a Pinecone index.
The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
1 - 45"example-index"
The dimensions of the vectors to be inserted in the index.
1 <= x <= 200001536
The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'.
cosine, euclidean, dotproduct The URL address where the index is hosted.
"semantic-search-c01b5b5.svc.us-west1-gcp.pinecone.io"
Show child attributes
Show child attributes
{
"pod": {
"environment": "us-east-1-aws",
"metadata_config": {
"indexed": ["genre", "title", "imdb_rating"]
},
"pod_type": "p1.x1",
"pods": 1,
"replicas": 1,
"shards": 1
}
}Show child attributes
Show child attributes
{
"ready": true,
"state": "ScalingUpPodSize"
}Whether deletion protection is enabled/disabled for the index.
disabled, enabled Was this page helpful?